WordPress.org

Support

Support » Themes and Templates » wp admin/theme.php error “The argument should be an array in

wp admin/theme.php error “The argument should be an array in

  • Hi all,

    Im having the following error after the successful installation of WP 2.8.4, everything gone fine but when I go to them page in my admin area it gives me the following error.
    I tried this before installing any plugin, with and without enabling widgets, no success.

    Then I installed some themes but no success, all I can do to change my theme is that I rename by desired Theme folder to “default” for activation ;). How smart I am.
    plz see the error and attached image.

    Warning: uksort() [function.uksort]: The argument should be an array in /www/mydomain.com/a/b/c/don/htdocs/wp-admin/themes.php on line 65

    Warning: array_slice() expects parameter 1 to be array, boolean given in /www/mydomain.com/a/b/c/don/htdocs/wp-admin/themes.php on line 86

    Warning: array_keys() [function.array-keys]: The first argument should be an array in /www/mydomain.com/a/b/c/don/htdocs/wp-admin/themes.php on line 174

    Warning: natcasesort() [function.natcasesort]: The argument should be an array in /www/mydomain.com/a/b/c/don/htdocs/wp-admin/themes.php on line 175

    plz tell me what should I do now. OH plz dont ask me to install again. plz 🙂
    screen shot of error.


    <img src=”http://i31.tinypic.com/4t2cet.gif”>

    Regards,
    Amjad Miandad.

Viewing 6 replies - 1 through 6 (of 6 total)
  • Hi all,

    Im having the following error after the successful installation of WP 2.8.4, everything gone fine but when I go to them page in my admin area it gives me the following error.
    I tried this before installing any plugin, with and without enabling widgets, no success.

    Then I installed some themes but no success, all I can do to change my theme is that I rename by desired Theme folder to “default” for activation ;). How smart I am.
    plz see the error and attached image.

    Warning: uksort() [function.uksort]: The argument should be an array in /www/mydomain.com/a/b/c/don/htdocs/wp-admin/themes.php on line 65

    Warning: array_slice() expects parameter 1 to be array, boolean given in /www/mydomain.com/a/b/c/don/htdocs/wp-admin/themes.php on line 86

    Warning: array_keys() [function.array-keys]: The first argument should be an array in /www/mydomain.com/a/b/c/don/htdocs/wp-admin/themes.php on line 174

    Warning: natcasesort() [function.natcasesort]: The argument should be an array in /www/mydomain.com/a/b/c/don/htdocs/wp-admin/themes.php on line 175

    plz tell me what should I do now. OH plz dont ask me to install again. plz 🙂

    screen shot of error

    Regards,
    Amjad Miandad.

    I have the exact same thing none of my themes is there.

    I lost every single thing, what’s going on no one has answered in 2 weeks!!!??

    How did you install your themes? What does your themes folder look like?

    same error install (latest) new ver. 2.9.2.

    I think I figured out what this is – at least this is what fixed the issue for me – I had set permissions to 766 (because I am having trouble getting images into my posts) for the wp-content directory. I started seeing these errors after that –

    I just switched it back to 755 and got it working. I had to re-activate my theme – but at least I no longer had the errors and my blog can now be seen.

    Please let me know if you do not know how to change your permissions. I will step you thought it.

    I’ve come across the exact same thing after changing my permissions in cPanel, for the same reason (needed writable files).

    How did you resolve the need for writable files after reverting your chmod settings?…

    Thanks in advance, pickwicksPlum 🙂

Viewing 6 replies - 1 through 6 (of 6 total)
  • The topic ‘wp admin/theme.php error “The argument should be an array in’ is closed to new replies.
Skip to toolbar